<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJusercountries extends JElement
{

	var	$_name = 'Jusercountries';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$is_juser_exist = is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_juser');
		if( !$is_juser_exist ){
			return '<b><a href="http://www.mightyextensions.com/joomla-components/user-extend-registration">Mighty Registration</a> is not installed on your Joomla site</b>';
		}
		$alert = 'Please set up the <b>Country</b> parameter in <b>Configurations</b> -> <b>Bills Defaults</b> tab -> <b>Bill To Association</b> group';
		if(!defined('BILL_CUS_COUNTRY') || (defined('BILL_CUS_COUNTRY') && BILL_CUS_COUNTRY == '-1'))
		return $alert;
		
		$db = &JFactory::getDBO();
		
		$query = "SELECT *
		FROM #__juser_extended_fields AS f
		WHERE f.published = 1 AND id = '".BILL_CUS_COUNTRY."'
		ORDER BY f.title";
		
		$db->setQuery($query);
		$field = $db->loadObject();
		$params = new JParameter($field->params);
		$values = $params->get('values');
		if(!$values)
		return $alert;
		$values = explode("\n", $values);
		
		$options = Array();
		foreach ( $values as $val ){
			$options[] = JHTML::_( 'select.option', addslashes($val), $val );
		}
		
		$out = JHTML::_('select.genericlist',  $options, $control_name.'['.$name.'][]', 'class="inputbox" multiple size="7"', 'value', 'text', $value, "param$name");
		$out .= '<br>
	    	<a href="javascript:void(0);" class="small" onclick="taxCountries(\'select\', document.getElementById(\'param'.$name.'\') );">'.JText::_('Select all').'</a>
	    	&nbsp;&nbsp;&nbsp;
	    	<a href="javascript:void(0);" class="small" onclick="taxCountries(\'clear\', document.getElementById(\'param'.$name.'\'));">'.JText::_('Clear all').'</a>
	    
		<script language="javascript" type="text/javascript">
			function taxCountries(task, el)
			{
				if(task == "select")
				{
					for (var i = 0; i < el.options.length; i ++)
					el.options[i].selected = true;
				}
				if(task == "clear")
				{
					for (var i = 0; i < el.options.length; i ++)
					el.options[i].selected = false;			
				}
			}
		</script>'; 
		
		return $out;
	}
}