ALTER TABLE `#__jcs_bills_invoice` ADD `city` VARCHAR( 100 ) NOT NULL AFTER `address` ;
ALTER TABLE `#__jcs_bills_invoice` ADD `ship_city` VARCHAR( 100 ) NOT NULL AFTER `ship_address` ;

ALTER TABLE `jos_jcs_bills`
  DROP `name`,
  DROP `amount_name`,
  DROP `amount2`,
  DROP `amount2_name`,
  DROP `amount3`,
  DROP `amount3_name`,
  DROP `qnt2`,
  DROP `qnt3`;
  
  ALTER TABLE `jos_jcs_bills` CHANGE `amount` `amount` TEXT
  ALTER TABLE `jos_jcs_bills` CHANGE `qnt` `qnt` TEXT 
  ALTER TABLE `jos_jcs_bills` ADD `client` VARCHAR( 250 ) NOT NULL
  
  ALTER TABLE `jos_jcs_bills_invoice`
  DROP `amount2`,
  DROP `amount3`,
  DROP `price`,
  DROP `address`,
  DROP `city`,
  DROP `state`,
  DROP `zip`,
  DROP `country`,
  DROP `tel`,
  DROP `ship_name`,
  DROP `ship_address`,
  DROP `ship_city`,
  DROP `ship_state`,
  DROP `ship_zip`,
  DROP `ship_country`,
  DROP `ship_tel`;
  
  
  DROP TABLE IF EXISTS `jos_jcs_bills`;
CREATE TABLE `jos_jcs_bills` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL default '0',
  `amount` float(12,2) NOT NULL default '0.00',
  `params` text NOT NULL,
  `published` tinyint(1) unsigned NOT NULL default '0',
  `extime` datetime NOT NULL default '0000-00-00 00:00:00',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` tinyint(1) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `checked_out` int(10) unsigned NOT NULL default '0',
  `checked_ou_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `use_num` int(10) unsigned NOT NULL default '0',
  `used_num` int(10) unsigned NOT NULL default '0',
  `amount_name` varchar(250) NOT NULL default '',
  `amount2` float(12,2) NOT NULL default '0.00',
  `amount2_name` varchar(250) NOT NULL default '',
  `amount3` float(12,2) NOT NULL default '0.00',
  `amount3_name` varchar(250) NOT NULL default '',
  `use_user` int(10) unsigned NOT NULL default '0',
  `order_num` varchar(200) NOT NULL default '',
  `qnt` int(10) unsigned NOT NULL default '0',
  `qnt2` int(10) unsigned NOT NULL default '0',
  `qnt3` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `jos_jcs_bills`
-- 

INSERT INTO `jos_jcs_bills` VALUES (1, 0, 3.00, 'curr=$\ntax=17\ntax_name=VAT\ntax_chose=1\nprice_chose=0\nqnt_change=0\nsuper_alert=0\nmails_alert=\nprice=Sign00\ninv_logo=ext_com.png\ninv_person=John Doe\ninv_name=Dummy Ltd.\ninv_address=BOX 1524\ninv_city=New York\ninv_country=USA\ninv_state=NY\ninv_zip=789456\ninv_tel=(800) 456 12 12\ninv_fax=(800) 456 12 12\ninv_number=2568-5698\ninv_tax_id=584-569-895\ninv_add=\npaypaypal_label=Offline Payment\npaypaypal_image=paypal1.gif\npaypaypal_email=\npaypaypal_currency=USD\npaypaypal_requre=0\npaypaypal_tax=0.00\npaypaypal_ipn=\npaypaypal_errorlog=\npaypaypal_sandbox=0\npayoffline_label=Offline Payment\npayoffline_image=offline.gif\npayoffline_email=\npayoffline_subject=MYSITE:: Offline payment request\npayoffline_cus_subj=MYSITEname:: Payment Instructions\npayoffline_cus_body=This text will be send to subscriber. Here you can enter your bank information for wire transfer  or information for WesternUnion or any other Offline payment.\n\n', 1, '0000-00-00 00:00:00', '2008-06-27 12:13:48', 1, 'wer', 0, '0000-00-00 00:00:00', 0, 0, '', 3.00, 'er', 1.00, 'erdsf', 0, '', 6, 3, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `jos_jcs_bills_invoice`
-- 

DROP TABLE IF EXISTS `jos_jcs_bills_invoice`;
CREATE TABLE `jos_jcs_bills_invoice` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `bill_id` int(10) unsigned NOT NULL default '0',
  `user_id` int(10) unsigned NOT NULL default '0',
  `amount` float(12,0) default '0',
  `description` varchar(220) NOT NULL,
  `amount2` float(12,0) NOT NULL default '0',
  `amount3` float(12,0) NOT NULL default '0',
  `price` varchar(50) NOT NULL,
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `gateway` varchar(25) NOT NULL default '',
  `gateway_id` varchar(100) NOT NULL default '',
  `published` tinyint(1) unsigned NOT NULL default '0',
  `pay` varchar(10) NOT NULL,
  `order_num` varchar(50) default NULL,
  `inv_num` varchar(50) default NULL,
  `tax_id` varchar(50) NOT NULL,
  `name` varchar(100) default NULL,
  `address` varchar(100) default NULL,
  `city` varchar(100) NOT NULL,
  `state` varchar(100) default NULL,
  `zip` varchar(100) default NULL,
  `country` varchar(100) default NULL,
  `tel` varchar(100) default NULL,
  `ship_name` varchar(100) NOT NULL,
  `ship_address` varchar(100) NOT NULL,
  `ship_city` varchar(100) NOT NULL,
  `ship_state` varchar(100) NOT NULL,
  `ship_zip` varchar(100) default NULL,
  `ship_country` varchar(100) NOT NULL,
  `ship_tel` varchar(100) NOT NULL,
  `quantity` int(11) NOT NULL,
  `tax_use` int(11) NOT NULL default '1',
  `tax` varchar(50) NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `jos_jcs_bills_invoice`
-- 

INSERT INTO `jos_jcs_bills_invoice` VALUES (1, 1, 69, 3, '0', 3, 1, '32.76', '2008-06-27 12:14:28', 'payoffline', '1214543668', 1, 'fail', '', '0000568', '', 'doni', '', '', '', '', '', '', 'doni', '', '', '', '', '', '', 6, 0, '17', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `jos_jcs_coupons`
-- 
