CREATE TABLE IF NOT EXISTS `#__bills` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL default '0',
  `product_list` text NOT NULL,
  `params` text NOT NULL,
  `published` tinyint(1) unsigned NOT NULL default '0',
  `extime` datetime NOT NULL default '0000-00-00 00:00:00',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` tinyint(1) unsigned NOT NULL default '0',
  `checked_out` int(10) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `use_num` int(10) unsigned NOT NULL default '0',
  `used_num` int(10) unsigned NOT NULL default '0',
  `use_user` int(10) unsigned NOT NULL default '0',
  `order_num` varchar(200) NOT NULL default '',
  `visible` tinyint(1) unsigned NOT NULL default '1',
  `client` varchar(45) NOT NULL default '',
  `coption` varchar(45) NOT NULL default '',
  `client_id` int(10) unsigned NOT NULL default '0',
  `seller_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `#__bills_invoice` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` text,
  `user_id` int(10) unsigned NOT NULL default '0',
  `seller_id` int(10) unsigned NOT NULL default '0',
  `gateway_id` varchar(100) NOT NULL default '',
  `order_num` varchar(50) default NULL,
  `inv_num` int(10) unsigned default NULL,
  `total` varchar(50) NOT NULL default '',
  `client` varchar(250) NOT NULL default '0',
  `coption` varchar(45) NOT NULL default '',
  `gateway` varchar(25) NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL default '0',
  `params` text NOT NULL,
  `client_id` int(10) unsigned NOT NULL default '0',
  `bill_id` int(10) unsigned NOT NULL default '0',
  `ptime` datetime NOT NULL default '0000-00-00 00:00:00',
  `product_list` text NOT NULL,
  `access` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;