<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ();

jimport ( 'joomla.application.component.view' );

class BillViewAlertBill extends JView
{
	function display($tpl = null)
	{
		global $mainframe;

		@JToolBarHelper::title ( JText::_ ( 'Bills' ), 'generic.png' );
		@JToolBarHelper::custom( "sendAlert", 'send' , '', 'Send', false);
		@JToolBarHelper::cancel( "returnToList" );

		$mBill = &JModel::getInstance( 'bill', 'billModel' );

		$cid = JRequest::getVar( "cid", array() );

		$mBill->setId( $cid[0] );
		$bill = $mBill->getBill();

		$client = false;
		if($bill->user_id)
		$client = JFactory::getUser($bill->user_id);
		
		$title = unserialize($bill->product_list);
		
		$bill->title = $title[1]['title'];

		$lists['user_id'] = $this->getUser ($client);

		$this->assignRef ( 'bill', $bill );
		$this->assignRef ( 'client', $client );
		$this->assignRef('list', $lists);
		parent::display ( $tpl );
	}

	function getUser($client)
	{
		global $mainframe;

		$db = & JFactory::getDBO ();
		$doc = & JFactory::getDocument ();
		$template = $mainframe->getTemplate ();

		$user = & JTable::getInstance ( 'user' );

		$js = "
		function jSelectArticle(id, email) {
			document.getElementById('user_id').value = id;
			var value = document.getElementById('user_email').value;
			if(value != '' && email != 'None' && value != 'None') email = value + ',' + email;
			document.getElementById('user_email').value = email;
			document.getElementById('sbox-window').close();
		}";
		$doc->addScriptDeclaration ( $js );

		$link = 'index.php?option=com_jsbill&amp;task=user_list&amp;tmpl=component';

		JHTML::_ ( 'behavior.modal', 'a.modal' );

		$html = "\n" . '<div style="float: left;">
			<input type="text" id="user_email" value="' . $client->email . '" size="100" name="emails"></div>';
		
/*$html = "\n" . '<div style="float: left;">
			<textarea id="user_email" cols="50" rows="3">' . $client->email . '</textarea></div>';
			*/
		$html .= '
			<div class="button2-left"><div class="blank">
				<a class="modal" title="' . JText::_ ( 'Add user email' ) . '"  
					href="' . $link . '" rel="{handler: \'iframe\', size: {x: 550, y: 500}}">' . JText::_ ( 'Select' ) . '</a>
			</div></div>' . "\n";
		$html .= '<div class="button2-left"><div class="blank"><a title="' . JText::_ ( 'Clear User' ) . '"  onclick="jSelectArticle(0, \'None\')">' . JText::_ ( 'Clear' ) . '</a></div></div>' . "\n";
		$html .= "\n" . '<input type="hidden" id="user_id" name="user_id" value="'.$client->id.'" />';

		return $html;
	}
}
?>
