<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<?php
//include_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'prepend.php');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">

<table>
<tr>
	<td align="left" width="100%">
		<?php echo JText::_( 'Filter' ); ?>:
		<input type="text" name="filter_search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
	</td>
	<td nowrap="nowrap">
		<?php
		echo $this->lists['filter3'].' ';
		echo $this->lists['filter2'].' ';
		echo $this->lists['filter1'].' ';
		echo $this->lists['state'];
		?>
	</td>
</tr>
</table>

<TABLE border="0" cellpadding="0" cellspacing="0" class="adminlist">
  <thead>
  <TR>
    <TH width="20"><?php echo JText::_( 'Num' ); ?></th>
    <TH width="20"><input type="checkbox" id="checkMain" name="toggle" value=""  onclick="checkAll(<?php echo count( $this->rows ); ?>);" /></TH>
    <TH class="title">              <?php echo JHTML::_('grid.sort', JText::_('Bill Title'), 'c.product_list', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></TH>
    <TH width="5%">                 <?php echo JHTML::_('grid.sort', JText::_('Use Limit'),  'c.use_num', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></TH>
    <!--<TH width="5%">             <?php echo JHTML::_('grid.sort', JText::_('Used'),       'c.used_num', @$this->lists['order_Dir'], @$this->lists['order'] ); ?></TH>-->
    <TH width="7%">                 <?php echo JText::_('Amount'); ?></TH>
    <TH width="7%" nowrap>          <?php echo JHTML::_('grid.sort', JText::_('Start'),      'c.ctime', @$this->lists['order_Dir'], @$this->lists['order'] ); ?> / <?php echo JHTML::_('grid.sort', JText::_('Finish'), 'c.extime', @$this->lists['order_Dir'], @$this->lists['order']); ?></TH>
    <TH width="5%" nowrap="nowrap"> <?php echo JHTML::_('grid.sort', JText::_('Access'),     'c.access', @$this->lists['order_Dir'], @$this->lists['order']); ?></TH>
	<TH width="5%" nowrap="nowrap">   <?php echo JHTML::_('grid.sort', JText::_('Published'),  'c.published', @$this->lists['order_Dir'], @$this->lists['order']); ?></TH>
	<TH width="1%" nowrap="nowrap">   <?php echo JHTML::_('grid.sort', JText::_('ID'),         'c.id', @$this->lists['order_Dir'], @$this->lists['order']); ?></TH>
  </TR>
  </thead>
  
<?php
$k = 0;
if(count($this->rows) >= 1)
foreach($this->rows AS $i => $row)
{
	$bill = unserialize($row->product_list);
	$checked 	  = JHTML::_('grid.checkedOut', $row, $i );
	$name       = JHTML::link('index.php?option=com_jsbill&controller=bill&task=edit&cid[]='.$row->id, $bill[1]['title']);
	$access 	= JHTML::_('grid.access',   $row, $i );
	$published 	= JHTML::_('grid.published', $row, $i );
	$k          = 1 - $k;
	$user = JFactory::getUser($row->user_id);
	$row->amount = 0;
	foreach ($bill As $r)
	{
		$row->amount += $r['qnt'] * $r['amount'];
	}
    ?>
    
    <tbody id="row_<?php echo $row->id ?>">
      <TR class="row<?php echo $k; ?>">
        <TD width="1%"><?php echo $i ?></TD>
        <TD width="1%"><?php echo $checked?></TD>
        <TD><?php echo $name ?><br>
		<span class="small">
			<?php echo JText::_('Bill For') ?>: <span style="color:maroon"><?php echo $row->user_id ? $user->get('name').'</span> (<span style="color:blue">'.$user->get('email').'</span>)' : JText::_('Anybody'); ?> 
			<br><b><?php echo JText::_('Bill URL') ?></b> <span style="color:green"><?php echo JURI::root().'index.php?option=com_jsbill&view=bill&bill='.$row->id; ?>
			<a target="_blank" href="<?php echo JURI::root().'index.php?option=com_jsbill&view=bill&bill='.$row->id; ?>"><img height="12" border="0" width="12" title="Open this page in new window" src="components/com_jsbill/images/opendetail_1.gif"></a></span><br>
			<!-- <b><?php echo JText::_('Bill URL (SEO)') ?></b> <span style="color:green"><?php echo JURI::root().'index.php/bill/bill/'.$row->id; ?>.html
			<a target="_blank" href="<?php echo JURI::root().'index.php/bill/bill/'.$row->id.'.html'; ?>"><img height="12" border="0" width="12" title="Open this page in new window" src="components/com_jsbill/images/opendetail_1.gif"></a><br>-->
			</span>
		</span>	</TD>
        <TD align="right"><span id="row_use_num_<?php echo $row->id?>"><?php echo $row->use_num == 0 ? '<span class="g">'.JText::_('No Limit').'</span>': $row->use_num?></TD>
        <!--<TD align="right"><?php echo $row->use_num && ($row->used_num >= $row->use_num) ? '<span class="r">'.$row->used_num.'</span>': $row->used_num?></TD>-->
        <TD align="right" nowrap="nowrap">
        <span class="editlinktip hasTip" title="<?php echo JText::_('Total NET')?>::<?php echo str_replace(array('Sign', '00'), array(BILL_CURR, ($row->amount)), BILL_PRICE);?>"><?php echo str_replace(array('Sign', '00'), array(BILL_CURR, ($row->amount)), BILL_PRICE)?></span>
		</TD>
        <TD align="center" nowrap="nowrap"><?php echo $row->start?><br>
		<?php if($row->finish){
			if($row->expire == 1)
			{
				echo '<span class="r">'.$row->finish.'</span>';
			}
			else
			{
				echo $row->finish;
			}
		} else {
			echo '<span class="g">'.JText::_('Never').'</span>';
        }?>
        </TD>
        <TD align="center"><?php echo $access ?></TD>
        <TD align="center"><?php echo $published?></TD>
        <TD align="right"><?php echo $row->id ?></TD>
      </TR>
    </tbody>
    <?php } ?>
  <tfoot>
  <td colspan="13">
  <?php echo $this->pageNav->getListFooter(); ?>
  </td>
  </tfoot>
</table>

<input type="hidden" name="option" value="<?php echo $option; ?>" />
<input type="hidden" name="controller" value="bill" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="hidemainmenu" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
</form>
<?php //include_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'apend.php'); ?>