<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<?php
$user 	=& JFactory::getUser();
$ordering = ($this->lists['order'] == 'p.ctime');
JHTML::_('behavior.tooltip');

if( !JRequest::getVar('no_html', 0 )){
?>

<form action="<?php echo $this->request_url; ?>" method="post" name="adminForm">

<table>
<tr>
	<td align="left" width="100%">
		<?php echo JText::_( 'Filter' ); ?>:
		<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
	</td>
	<td nowrap="nowrap">
	</td>
</tr>
</table>
<?php


}
?>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="1%">
				<?php echo JText::_( 'NUM' ); ?>
			</th>
			<th width="1%">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th class="title">
			  <?php
			  if( !JRequest::getVar('no_html', 0 )){
				  echo JHTML::_('grid.sort',  'Bill', 'p.name', $this->lists['order_Dir'], $this->lists['order'] );
			  } else{ echo JText::_('Bill'); }?>
			</th>
			 <th width="1%">
				<?php
			  if( !JRequest::getVar('no_html', 0 )){
			    echo JHTML::_('grid.sort',  'Published', 'p.published', $this->lists['order_Dir'], $this->lists['order'] );
        } else{ echo JText::_('Published'); }?>
			</th> 
			<th width="1%" nowrap="nowrap">
				<?php
			  if( !JRequest::getVar('no_html', 0 )){
			    echo JHTML::_('grid.sort',  'Nums', 'p.inv_num', $this->lists['order_Dir'], $this->lists['order'] );
				} else{ echo JText::_('Nums'); }?>
			</th>
			<!--
			<th width="1%" nowrap="nowrap">
				<?php
			  if( !JRequest::getVar('no_html', 0 )){
			    echo JHTML::_('grid.sort',  'Gateway', 'p.gateway', $this->lists['order_Dir'], $this->lists['order'] );
				} else{ echo JText::_('Gateway'); }?>
			</th>
			-->
			<th width="1%">
				<?php
			  if( !JRequest::getVar('no_html', 0 )){
			    echo JHTML::_('grid.sort',  'Created', 'p.ctime', $this->lists['order_Dir'], $this->lists['order'] );
				} else{ echo JText::_('Created'); }?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php
			  if( !JRequest::getVar('no_html', 0 )){
			    echo JHTML::_('grid.sort',  'Total', 'p.total', $this->lists['order_Dir'], $this->lists['order'] );
				} else{ echo JText::_('Total'); }?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php
			  if( !JRequest::getVar('no_html', 0 )){
			    echo JHTML::_('grid.sort',  'ID', 'p.id', $this->lists['order_Dir'], $this->lists['order'] );
				} else{ echo JText::_('ID'); }?>
			</th>
		</tr>
	</thead>
	<?php
	if( !JRequest::getVar('no_html', 0 )){
	?>
	<?php }if( !JRequest::getVar('no_html', 0 )){
	?>
	<tfoot>
		<tr>
			<td colspan="12">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<?php } ?>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{
		$row = &$this->items[$i];
		$params = new JParameter($row->params);

		$checked 	= @JHTML::_('grid.checkedout',   $row, $i );
		
		if($row->published){
		  $published = '<img src="images/tick.png" align="absmiddle">';
		} else {
		  $published = JHTML::_('grid.published', $row, $i );
		}
   ?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pagination->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<a href="index.php?option=com_jsbill&controller=invoice&id=<?php echo $row->id;?>"><?php echo $row->name; ?></a><br>
				<?php if( $row->user_id ) { ?>
					<?php echo JText::_('User') ?>:<b style="color:green"><?php echo $row->uname; ?></b>, 
					<?php echo JText::_('User Email') ?>: <a href="mailto:<?php echo $row->email; ?>"><?php echo $row->email; ?></a>, 
					<?php echo JText::_('User ID') ?>: <span style="color:maroon"><?php echo $row->uid; ?></span><br>
				<?php } else { ?>
					<?php echo JText::_('User') ?>: <b style="color:green"><?php echo $params->get( 'name' ); ?></b>, 
	        <?php echo JText::_('User Email') ?>: <a href="mailto:<?php echo $params->get( 'userEmail' ); ?>"><?php echo $params->get( 'userEmail' ); ?></a>, 
	        <?php echo JText::_('User ID') ?>: <span style="color:green"><?php echo JText::_('Public') ?></span><br>
				<?php } ?>
<br>

			</td>
			<td align="center">
				<?php echo $published; ?>
			</td>
			<td nowrap>
				<?php echo JText::_('Order #')?>: 
				<?php echo $row->order_num;?><br>
				<?php echo JText::_('Invoice #')?>: 
				<?php echo $row->inv_num;?><br>
				<?php echo $row->gateway;?>: 
				<?php echo $row->gateway_id;?>				
			</td>
			<td nowrap>
				<?php echo $row->ctime;?><br>
			</td>
			<td align="right">
				<?php echo BillModelBills::bill_price($params->get('curr', BILL_CURR), $row->total); ?>
			</td>
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>
</div>
<?php
if( !JRequest::getVar('no_html', 0 )){
?>

<input type="hidden" name="option" value="com_jsbill" />
<input type="hidden" name="controller" value="bills" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
</form>

<?php
}
?>