<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class BillViewBills extends JView
{
    function display($tpl = null)
    {
        global $mainframe, $option;
    
        if($this->getLayout() == 'form') {
            $this->_displayForm($tpl);
            return;
        }
        
        $db		=& JFactory::getDBO();
        $uri	=& JFactory::getURI();
        
        JToolBarHelper::title(   JText::_( 'Bills Transactions Invoice' ), 'generic.png' );
        
        @JToolBarHelper::publishList();
        //@JToolBarHelper::unpublishList();
        @JToolBarHelper::deleteList();
        
        
        //$bill_model = &JModel::getInstance('bills','billModel');
        //$this->setModel($bill_model);
        
        $filter_state		= $mainframe->getUserStateFromRequest( $option.'users.filter_state',		'filter_state',		'',				'word' );
        $filter_order		= $mainframe->getUserStateFromRequest( $option.'users.filter_order',		'filter_order',		'p.ctime',	'cmd' );
        $filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'users.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
        $search				= $mainframe->getUserStateFromRequest( $option.'users.search',			'search',			'',				'string' );
        $search				= JString::strtolower( $search );

        $items      = & $this->get('Data');
        $total      = & $this->get('Total');
        $pagination = & $this->get('Pagination');
        
        //if(!$items) $items = array();
        
        
        $javascript 	= 'onchange="document.adminForm.submit();"';
        
        // state filter
        $lists['state']	= JHTML::_('grid.state',  $filter_state );
        
        // table ordering
        $lists['order_Dir'] = $filter_order_Dir;
        $lists['order'] = $filter_order;
        
        // search filter
        $lists['search']= $search;
        
        $this->assignRef('user',		JFactory::getUser());
        $this->assignRef('lists',		$lists);
        $this->assignRef('items',		$items);
        $this->assignRef('pagination',	$pagination);
        $this->assignRef('request_url',	$uri->toString());
        
        parent::display($tpl);
    }
}
?>