<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<div class="noprint">&nbsp;&nbsp;
<?php
JHTML::_('behavior.tooltip');
if( !JRequest::getVar('no_html', 0 ) && @$_REQUEST['tmpl'] != 'component' ){
  //include_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'prepend.php');
}else {
	echo '<a href="#" onClick="window.print();">'.JText::_('Print').'</a>';
}
?>
</div>
<style type="text/css">
.icon-32-print       { background-image: url( templates/khepri/images/toolbar/icon-32-print.png); }

@media print {
	.noprint
	{
		display:none;
		visibility:hidden;
	}
}

.paybutton {
    display:block;
    float:left;
    padding:5px;
    margin:5px;
    text-align:center;
}
tr.uline td{ border-bottom: 1px solid #000; }
</style>


<?php 
function bill_price($params, $amount)
{
	return str_replace(array('Sign', '00'), array($params->get('curr'), number_format($amount,2)), $params->get('price') );
}
$tax = $this->params->get('tax_use');?>
<table cellpadding="0" cellspacing="0" width="100%" border="0">
	<tr valign="top">
		<td width="15%" align="left"><?php 
		if(BILL_SHOW_BAR_ORDER && $this->item->order_num){ ?><p style="text-align:left;font-size: 0.8em;"><b><?php echo JText::_('Order Number')?></b></p>
			<img src="<?php echo JURI::root(); ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->item->order_num;?>&ite.jpg "></td>
		<?php } ?><td>
		<h1>
			<center><?php echo JText::_('Invoice');?></center>
		</h1>
		
		<h3 style="text-align:center"><?php echo $this->params->get('inv_name');?></h3>
		<div class="small" style="text-align:center">
		<?php 
        $address_for_view = array();
        foreach ( $this->address[1] as $a ){
            if( !$a ) continue;
            $address_for_view[] = $a;
        }
        ?>
        <?php echo implode(', ', $address_for_view )?><br>
        
        <?php 
        $info = array();
        foreach ($this->address[2] as $name_add_vale => $val){
            if( !$val ) continue;
            $info[] = $name_add_vale . ': ' . $val ;
        }
        ?>
		<?php echo implode(' | ', $info); ?></div>
		</td>
		<td  width="15%" align="right"><?php 
		if(BILL_SHOW_BAR_INVOICE){ ?><p style="text-align:right;font-size: 0.8em;"><b><?php echo JText::_('Invoice Number')?></b></p>
		<img src="<?php echo JURI::root(); ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->item->inv_num?>&ite.jpg">
		<?php } ?></td>
	</tr>
</table>

<table width="100%" cellpadding="0" border="0" cellspacing="0">
	<tr valign="top">
		<td width="25%">
		<?php if($this->params->get('inv_logo') && $this->params->get('inv_logo') != -1) { ?>
			<img src="<?php echo JURI::root(); ?>images/stories/<?php echo $this->params->get('inv_logo');?>" alt="<?php echo JText::_('Invoice Logo')?>" />
			<?php } ?>
		</td>
		<td width="25%" nowrap>
			<table  class="admintable">	
				<tr>	
					<td class="key"><?php echo JText::_('Order Number')?>:</td>
					<td><b><?php echo $this->item->order_num?></b></td>
				</tr>
				<tr>
					<td class="key"><?php echo JText::_('Invoice Number')?>:</td>
					<td><b><?php echo $this->item->inv_num?></b></td>
				</tr>
				<?php if(0){//$this->params->get('tax_id')){ ?>
				<tr>
					<td><?php echo JText::_('Tax ID')?>:</td>
					<td><b><?php echo $this->params->get('tax_id');?></b></td>
				</tr>
				<?php } ?>
			</table>							
		</td>
		<td width="25%"  nowrap>
			<table class="admintable">	
				<tr>
					<td class="key"><?php echo JText::_('Gateway')?>:</td>
					<td><b><?php echo $this->item->gateway?></b></td>
				</tr>
				<tr>
					<td class="key"><?php echo JText::_('Gateway ID')?>:</td>
					<td><b><?php echo $this->item->gateway_id?></b></td>
				</tr>
			</table>							
		</td>
		<td width="25%" align="right"  nowrap>
			<table  class="admintable">	
				<tr>
					<td class="key"><?php echo JText::_('Issue Date')?>:</td>
					<td><b><?php echo $this->item->format_ctime;?></b></td>
				</tr>
				<tr>
					<td class="key"><?php echo JText::_('Pay Date')?>:</td>
					<td><b><?php echo $this->item->format_ptime;?></b></td>
				</tr>
			</table>							
		
		</td>
	</tr>
</table>
<span class="article_separator"></span>
<table align="center" width="100%" cellpadding="1" cellspacing="1" border="0">
	<tr valign="top">
		<td width="50%" valign="top">
			<?php if( $this->params->get( 'billto_name' )||
                      $this->params->get( 'billto_address' ) ||
                      $this->params->get( 'billto_city' ) ||
                      $this->params->get( 'billto_state' ) ||
                      $this->params->get( 'billto_zip' ) ||
                      $this->params->get( 'billto_country' ) ||
                      $this->params->get( 'billto_tel' ) ) { ?>
            <table border="0" cellpadding="1" cellspacing="1">
                <tr>
                    <td  valign="top"  nowrap><div class="contentheading"><?php echo JText::_('Bill To')?>:</div></td>
                    <td>
                        <?php if( $this->params->get( 'billto_name' ) ) { ?>
                        <big><b><?php echo $this->params->get('name')  ? $this->params->get('name') : JText::_('N/A') ;?></b></big>
                        <?php } ?>
                    </td>
                    
                </tr>
                <?php if( $this->params->get( 'billto_address' ) ||
                          $this->params->get( 'billto_city' ) ||
                          $this->params->get( 'billto_state' ) ||
                          $this->params->get( 'billto_zip' ) ||
                          $this->params->get( 'billto_country' ) ) { ?>
                <tr>
                    <td valign="top"><b><?php echo JText::_('Address')?>:</b></td>
                    <td><?php

                    $adr[] = $this->params->get('address');
                    $adr[] = $this->params->get('state');
                    $adr[] = $this->params->get('city');
                    $adr[] = $this->params->get('zip');
                    $adr[] = $this->params->get('country');

                    foreach ( $adr as $key => $a ) {
                      if( !$a ) unset( $adr[$key] );
                    }
                    
                    $adr = implode( ', ', $adr );
                    echo $adr ? $adr : JText::_('N/A');
                    ?></td>
                </tr>
                <?php } ?>
                <?php if( $this->params->get( 'billto_tel' ) ) { ?>
                <tr>
                    <td  valign="top"><b><?php echo JText::_('Telephone')?>:</b></td>
                    <td><?php echo $this->params->get('tel') ? $this->params->get('tel')  : JText::_('N/A');?></td>
                </tr>
                <?php } ?>
            </table>
            <?php } ?>
        </td>
        <td width="50%" valign="top" class="column_separator">
            <?php if( $this->params->get( 'shipto_name' )||
                $this->params->get( 'shipto_address' ) ||
                $this->params->get( 'shipto_city' ) ||
                $this->params->get( 'shipto_state' ) ||
                $this->params->get( 'shipto_zip' ) ||
                $this->params->get( 'shipto_country' ) ||
                $this->params->get( 'shipto_tel' ) ) { ?>
            <table border="0" cellpadding="1" cellspacing="1">
                <tr>
                    <td  valign="top" nowrap><div class="contentheading"><?php echo JText::_('Ship To')?>:</div></td>
                    <td><big><b><?php echo $this->params->get('sip_name', $this->params->get('name')) ? $this->params->get('ship_name', $this->params->get('name')) : JText::_('N/A') ;?></b></big></td>
                    
                </tr>
                <?php if( $this->params->get( 'shipto_address' ) ||
                $this->params->get( 'shipto_city' ) ||
                $this->params->get( 'shipto_state' ) ||
                $this->params->get( 'shipto_zip' ) ||
                $this->params->get( 'shipto_country' ) ) { ?>
                <tr>
                    <td valign="top"><b><?php echo JText::_('Address')?>:</b></td>
                    <td><?php 
                    $adr2[] = $this->params->get('ship_address',  $this->params->get( 'billto_city' ) ? $this->params->get('address') : "");
                    $adr2[] = $this->params->get('ship_state',  $this->params->get( 'billto_city' ) ? $this->params->get('state') : "");
                    $adr2[] = $this->params->get('ship_city', $this->params->get( 'billto_city' ) ? $this->params->get('city') : "");
                    $adr2[] = $this->params->get('ship_zip',  $this->params->get( 'billto_city' ) ? $this->params->get('zip') : "");
                    $adr2[] = $this->params->get('ship_country',  $this->params->get( 'billto_city' ) ? $this->params->get('country') : "");

                    foreach ( $adr2 as $key => $a ) {
                      if( !$a ) unset( $adr2[$key] );
                    }
                    
                    $adr2 = implode( ', ', $adr2 );
                    echo $adr2 ? $adr2 : JText::_('N/A');
                    ?></td>
                </tr>
                <?php } ?>
                <?php if( $this->params->get( 'shipto_tel' ) ) { ?>
                <tr>
                    <td  valign="top"><b><?php echo JText::_('Telephone')?>:</b></td>
                    <td><?php echo $this->params->get('ship_tel', $this->params->get('tel')) ? $this->params->get('ship_tel', $this->params->get('tel'))  : JText::_('N/A');?></td>
                </tr>
                <?php } ?>
            </table>
            <?php } ?>
	</tr>
</table>
<span class="article_separator"></span>
<table class="adminlist">
	<thead> <tr>
		<th width="1%">#</th>
		<th ><?php echo JText::_('Description')?></th>
		<th width="50px"  nowrap><?php echo JText::_('Unit Price')?></th>
		<th width="50px" ><?php echo JText::_('Quantity')?></th>
		<?php if( !$tax ):?>
		  <th width="50px"  nowrap><?php echo JText::_('Net Price')?></th>
		  <th width="50px"  nowrap><?php echo JText::_('Tax')?></th>
		  <th width="50px"  nowrap><?php echo JText::_('Total Tax')?></th>
		<?php endif;?>
		<th width="50px"><?php echo JText::_('Total')?></th>
	</tr></thead>
	<?php 
	$i = 1; $k = 0; $totalamount = 0; $totaltax = 0;
	foreach ($this->items as $item) {
		if(!$item['title']) break;
		?>
		<tr class="row<?php echo $k?>">
			<td><?php echo $i;?></td>
			<td><?php echo $item['title'];?></td>
			<td nowrap>
				<?php  

				if($this->params->get('price_chose')) :

					$this->bill->amount =  JRequest::getFloat('amount',$item['amount']);?>
				 
					<input type="text" name="amount" size="3" value="<?php echo JRequest::getInt('amount',$item['amount']); ?>" />
					<img alt="<?php echo JText::_('Recalculate')?>" title="<?php echo JText::_('Recalculate')?>" src="<?php echo JURI::root(); ?>administrator/images/filesave.png" onclick="document.formbill.submit()" style="cursor:pointer">
					<?php $item['qnt'] = JRequest::getInt('qnt',$item['qnt']);?>
				<?php else:?>
					<?php 
					$item['amount'] =  JRequest::getFloat('amount',$item['amount']);
					?><input type="hidden" name="amount" value="<?php echo $item['amount']; ?>">
					<?php echo bill_price($this->params, $item['amount']);?>
				<?php endif; ?>
			</td>
			<td nowrap>
				<?php echo $item['qnt'];?>
			</td>
			
			<?php $net[$i] = ( $item['amount'] * $item['qnt'] ); ?>
			
			<?php if( !$tax ) { ?>
  			<td>
  			  <?php echo bill_price( $this->params, $item['amount'] * $item['qnt'] );?>
  			</td>
  			<td nowrap="nowrap">
          <?php echo isset( $item['tax_procent'] ) ? $item['tax_procent'] : "0"; ?>% 
          <?php echo (isset( $item['tax_name']) && $item['tax_name'] != '' ) ? "( ".$item['tax_name']." )" : ""; ?>
        </td>
        <td>
          <?php echo bill_price( $this->params, $item['tax'] ); ?>
        </td>
        <?php
        $amount[$i] = $net[$i] + @$item['tax'];
        $totaltax += $item['tax'];
      } else {
        $amount[$i] = $net[$i];
      }
                  
      $totalamount += $amount[$i];
			?>
			<td align="right"><?php echo bill_price($this->params, $amount[$i]);?></td>
		</tr>
		<?php $i++; $k = 1 - $k;
		}?>
		</table>

		<table align="center" width="100%" cellpadding="2" cellspacing="0" border="0">
			<tr>
				<td valign="top" align="left">&nbsp;
				<?php if ($this->params->get('client_comment')) {?>
					<br><b><?php echo JText::_('Client comment'); ?>:&nbsp;</b><?php echo $this->params->get('client_comment'); ?>
				<?php } ?>
				</td>
				<td width="1%" align="right">					
					<table class="admintable">
            <?php if ( !$tax ):?>
            <tr>
              <td nowrap class="key"><?php echo JText::_('Net Price')?></td>
              <td nowrap align="right"><b><?php echo str_replace(array('Sign', '00'), array($this->params->get('curr'), 
              number_format(@array_sum($net), 2)), $this->params->get('price'));?></b></td>
            </tr>
            <tr>
              <td nowrap class="key"><?php echo JText::_( "Tax" ); ?> </td>
              <td nowrap align="right">
                <b>
                  <?php echo str_replace( array( 'Sign', '00' ), array( $this->params->get( 'curr' ), number_format( $totaltax, 2 ) ), $this->params->get('price') );?>
                </b>
              </td>
            </tr> 
            <?php endif;?>
            <tr>
              <td nowrap class="key"><b><big><?php echo JText::_('Total')?></big></b></td>
              <td nowrap align="right">
                <b>
                  <big>
                    <?php echo str_replace( array( 'Sign', '00'), 
                                            array( $this->params->get('curr'), number_format( $totalamount, 2) ),
                                            $this->params->get('price') );?>
                  </big>
                </b>
              </td>
            </tr> 
          </table>
				</td>
			</tr>
			<tr>
				<td>&nbsp;
				<?php if($this->params->get('inv_add')){ ?>
					<br><small class="small"><b><?php echo JText::_('Bill Description'); ?>:</b>&nbsp;<?php echo nl2br($this->params->get('inv_add'));?></small>
				<?php } ?>
				</td>
				<td align="right" width="1%"><?php
				if($this->params->get('tax_id')){ ?><span class="small"><?php echo JText::_('Tax ID').':';?></span>
				<?php if (BILL_SHOW_BAR_TAX) { ?>
				<img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->params->get('tax_id')?>&ite.jpg">	
				<?php }
				else echo '<b>'.$this->params->get('tax_id').'</b>'; } ?>
				</td>
			</tr>
		</table>

<?php
if( !JRequest::getVar('no_html', 0 )){
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<input type="hidden" name="option" value="com_jsbill" />
<input type="hidden" name="controller" value="invoice" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
</form>

<?php
  //include_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'apend.php'); 
}
?>