<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');
class BillViewInvoice extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		
		$id = JRequest::getInt('id');
		
		$uri = 'index3.php?option=com_jsbill&controller=invoice&id='.$id; //&JFactory::getURI();
		JToolBarHelper::title(   JText::_( 'Invoice' ), 'generic.png' );

		$bar = & JToolBar::getInstance('toolbar');

		$bar->appendButton( 'Popup', 'print', 'Print', $uri, 750, 550 );
		@JToolBarHelper::back();
		
		$layout = $this->getLayout();
		$model = JModel::getInstance('bill','BillModel');
		$user   = & JFactory::getUser();
		$db = & JFactory::getDBO();
		$invoice = $model->getInvoice($id,' AND published = 1');

		$params = new JParameter($invoice->params);

		$items = unserialize($invoice->product_list);

		$l1[] = $params->get('inv_address', BILL_INV_ADDRESS);
		$l1[] = $params->get('inv_city', BILL_INV_CITY);
		$l1[] = $params->get('inv_state', BILL_INV_STATE);
		$l1[] = $params->get('inv_zip', BILL_INV_ZIP);
		$l1[] = $params->get('inv_country', BILL_INV_COUNTRY);

		$adrress[1] = $l1;

		$l2[JText::_('Telephone')] = $params->get('inv_tel', BILL_INV_TEL);
		$l2[JText::_('Fax')] = $params->get('inv_fax', BILL_INV_FAX);
		$l2[JText::_('Company Number')] = $params->get('inv_number', BILL_INV_NUMBER);
		$l2[JText::_('Company Tax ID')] = $params->get('inv_tax_id', BILL_INV_TAX_ID);
		$l2[JText::_('Ask for')] = $params->get('inv_person', BILL_INV_PERSON);
		//$l2[] = $params->get('');

		$adrress[2] = $l2;

		$params->def('inv_add', BILL_INV_ADD);
		$params->def('inv_name', BILL_INV_NAME);

		$invoice->format_ctime = '';
		$invoice->format_ptime = '';
		
		$date = new JDate($invoice->ctime);
		if( (int)$invoice->ptime > 0) $date2 = new JDate($invoice->ptime); else $date2 = false;

		$invoice->format_ctime = $date->toFormat(BILL_TIME_FORMAT);
		if($date2) $invoice->format_ptime = $date2->toFormat(BILL_TIME_FORMAT);

			
		$this->assign('address', $adrress);
		$this->assign('items', 	$items);
		$this->assign('item',	$invoice);
		$this->assign('params', $params);
		$this->assign('uri', $uri);
		
		parent::display($tpl);
		
		return ;
	}
	function displayError($title, $msg, $tpl, $add = '')
	{
		$this->setLayout('error');
		$this->assign('title', JText::_($title));
		$this->assign('msg', JText::_($msg).' '.$add);

		parent::display($tpl);
	}
}
?>