<?php
/**
 * $Id: router.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

/**
 * @param	array
 * @return	array
 */
function JSBillBuildRoute( &$query )
{

	$segments = array();
	if(isset($query['view'])) {
		$segments[0] = $query['view'];
		unset( $query['view'] );
	}
	if(isset($query['bill'])) {
		$segments[1] = $query['bill'];
		unset( $query['bill'] );
	}
	if(isset($query['task'])) {
		$segments[0] = $query['task'];
		unset( $query['task'] );
	}
	if(isset($query['id'])) {
		$segments[1] = $query['id'];
		unset( $query['id'] );
	}
	
	
	return $segments; 
}
/**
 * @param	array
 * @return	array
 */
function JSBillParseRoute( $segments )
{
	$vars = array();
	$vars['view'] = $segments[0];
	$vars['task'] = $segments[0];
	$vars['bill'] = $segments[1];
	$vars['id'] = 	$segments[1];

	
	return $vars;
}
?>

 
