<?php 
/**
 * $Id: default.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
?>
<style type="text/css">
@media print {
	.noprint
	{
		display:none;
		visibility:hidden;
	}
	.border_print
	{
		display:block;
		visibility:visible;
	}
}
.border_print
{
	display:block;
	visibility:visible;
}
.paybutton
{
    display:block;
    float:left;
    padding:5px;
    margin:5px;
    text-align:center;
}
tr.uline td{}

</style>
<div class="noprint">&nbsp;&nbsp;
<?php 
function bill_price($cur, $amount, $format)
{
	if(!$cur) $cur = BILL_CURR;
	if(!$format) $format = BILL_PRICE; 
	return str_replace(array('Sign', '00'), array($cur, number_format($amount,2)), $format );
}

if( @$_REQUEST['tmpl'] == 'component' ){
	echo '<a  href="#" onClick="window.print();">'.JText::_('Print').'</a>';
}else {
	?>
	<table align="right">
		<tr>
			<td><?php if( isset( $this->item->pdf ) && $this->item->pdf ) echo $this->item->pdf; ?></td>
			<td><?php if( isset( $this->item->print ) && $this->item->print ) echo $this->item->print; ?></td>
			<td><?php if( isset( $this->item->send ) && $this->item->send ) echo $this->item->send; ?></td>
		</tr>
	</table>
	<?php
}?></div>
<?php $tax = $this->params->get('tax_use'); ?>

<div class="contentpaneopen" style="clear:both">
<table cellpadding="0" cellspacing="0" width="100%" border="0">
	<tr valign="top">
		<td width="15%" align="left"><?php 
		if(BILL_SHOW_BAR_ORDER && $this->item->order_num){ ?><p style="text-align:left;font-size: 0.8em;"><b><?php echo JText::_('Order Number')?></b></p>
			<img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->item->order_num;?>&ite.png"></td>
		<?php } ?><td>
		<span class="componentheading">
			<center><?php echo JText::_('Invoice');?></center>
		</span>
		
		<div class="contentheading" style="text-align:center"><?php echo stripslashes($this->params->get('inv_name'));?></div>
		<div class="small" style="text-align:center">
		<?php 
		$address_for_view = array();
		foreach ( $this->address[1] as $a ){
		    if( !$a ) continue;
		    $address_for_view[] = $a;
		}
		?>
		<?php echo implode(', ', $address_for_view )?><br>
		
		<?php 
        $info = array();
        foreach ($this->address[2] as $name_add_vale => $val){
            if( !$val ) continue;
            $info[] = $name_add_vale . ': ' . $val ;
        }
        ?>
        <?php echo implode(' | ', $info); ?>
		</div>
		</td>
		<td  width="15%" align="right"><?php 
		if(BILL_SHOW_BAR_INVOICE){ ?><p style="text-align:right;font-size: 0.8em;"><b><?php echo JText::_('Invoice Number')?></b></p>
		<img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->item->inv_num?>&ite.png">
		<?php } ?></td>
	</tr>
</table>

<table width="100%" cellpadding="0" border="0" cellspacing="0">
	<tr valign="top">
		<td width="25%">
		<?php if($this->params->get('inv_logo', 0) && $this->params->get('inv_logo') != -1) {;?>
			<img src="<?php echo JURI::root() ?>images/stories/<?php echo $this->params->get('inv_logo');?>" alt="<?php echo JText::_('Invoice Logo')?>" />
			<?php } ?>
		</td>
		<td width="25%" nowrap>
			<table cellspacing="1">	
				<tr>	
					<td><?php echo JText::_('Order Number')?>:</td>
					<td><b><?php echo $this->item->order_num?></b></td>
				</tr>
				<tr>
					<td><?php echo JText::_('Invoice Number')?>:</td>
					<td><b><?php echo $this->item->inv_num?></b></td>
				</tr>
				<?php if(0){//$this->params->get('tax_id')){ ?>
				<tr>
					<td><?php echo JText::_('Tax ID')?>:</td>
					<td><b><?php echo $this->params->get('tax_id');?></b></td>
				</tr>
				<?php } ?>
			</table>							
		</td>
		<td width="25%"  nowrap>
			<table cellspacing="1">	
				<tr>
					<td><?php echo JText::_('Gateway')?>:</td>
					<td><b><?php echo $this->item->gateway?></b></td>
				</tr>
				<tr>
					<td><?php echo JText::_('Gateway ID')?>:</td>
					<td><b><?php echo $this->item->gateway_id?></b></td>
				</tr>
			</table>							
		</td>
		<td width="25%" align="right"  nowrap>
			<table cellspacing="1">	
				<tr>
					<td><?php echo JText::_('Issue Date')?>:</td>
					<td><b><?php echo $this->item->format_ctime;?></b></td>
				</tr>
				<tr>
					<td><?php echo JText::_('Pay Date')?>:</td>
					<td><b><?php echo $this->item->format_ptime;?></b></td>
				</tr>
			</table>							
		
		</td>
	</tr>
</table>
<span class="article_separator"></span>

<table align="center" width="100%" cellpadding="1" cellspacing="1" border="0">
	<tr valign="top">
		<td width="50%" valign="top">
		    <?php if( $this->params->get( 'billto_name' )||
                      $this->params->get( 'billto_address' ) ||
                      $this->params->get( 'billto_city' ) ||
                      $this->params->get( 'billto_state' ) ||
                      $this->params->get( 'billto_zip' ) ||
                      $this->params->get( 'billto_country' ) ||
                      $this->params->get( 'billto_tel' ) ) { ?>
			<table border="0" cellpadding="1" cellspacing="1">
				<tr>
					<td  valign="top"  nowrap><div class="contentheading"><?php echo JText::_('Bill To')?>:</div></td>
					<td>
					    <?php if( $this->params->get( 'billto_name' ) ) { ?>
					    <big><b><?php echo $this->params->get('name')  ? $this->params->get('name') : JText::_('N/A') ;?></b></big>
					    <?php } ?>
					</td>
					
				</tr>
				<?php if( $this->params->get( 'billto_address' ) ||
	                      $this->params->get( 'billto_city' ) ||
	                      $this->params->get( 'billto_state' ) ||
	                      $this->params->get( 'billto_zip' ) ||
	                      $this->params->get( 'billto_country' ) ) { ?>
				<tr>
					<td valign="top"><b><?php echo JText::_('Address')?>:</b></td>
					<td><?php

					$adr[] = $this->params->get('address');
					$adr[] = $this->params->get('state');
					$adr[] = $this->params->get('city');
					$adr[] = $this->params->get('zip');
					$adr[] = $this->params->get('country');

					foreach ( $adr as $key => $a ) {
					  if( !$a ) unset( $adr[$key] );
					}
					
					$adr = implode( ', ', $adr );
					echo $adr ? $adr : JText::_('N/A');
					?></td>
				</tr>
				<?php } ?>
				<?php if( $this->params->get( 'billto_tel' ) ) { ?>
				<tr>
					<td  valign="top"><b><?php echo JText::_('Telephone')?>:</b></td>
					<td><?php echo $this->params->get('tel') ? $this->params->get('tel')  : JText::_('N/A');?></td>
				</tr>
				<?php } ?>
			</table>
			<?php } ?>
		</td>
		<td width="50%" valign="top" class="column_separator">
		    <?php if( $this->params->get( 'shipto_name' )||
                $this->params->get( 'shipto_address' ) ||
                $this->params->get( 'shipto_city' ) ||
                $this->params->get( 'shipto_state' ) ||
                $this->params->get( 'shipto_zip' ) ||
                $this->params->get( 'shipto_country' ) ||
                $this->params->get( 'shipto_tel' ) ) { ?>
			<table border="0" cellpadding="1" cellspacing="1">
				<tr>
					<td  valign="top" nowrap><div class="contentheading"><?php echo JText::_('Ship To')?>:</div></td>
					<td><big><b><?php echo $this->params->get('sip_name', $this->params->get('name')) ? $this->params->get('ship_name', $this->params->get('name')) : JText::_('N/A') ;?></b></big></td>
					
				</tr>
				<?php if( $this->params->get( 'shipto_address' ) ||
                $this->params->get( 'shipto_city' ) ||
                $this->params->get( 'shipto_state' ) ||
                $this->params->get( 'shipto_zip' ) ||
                $this->params->get( 'shipto_country' ) ) { ?>
				<tr>
					<td valign="top"><b><?php echo JText::_('Address')?>:</b></td>
					<td><?php 
					$adr2[] = $this->params->get('ship_address',  $this->params->get( 'billto_city' ) ? $this->params->get('address') : "");
					$adr2[] = $this->params->get('ship_state',  $this->params->get( 'billto_city' ) ? $this->params->get('state') : "");
					$adr2[] = $this->params->get('ship_city', $this->params->get( 'billto_city' ) ? $this->params->get('city') : "");
					$adr2[] = $this->params->get('ship_zip',  $this->params->get( 'billto_city' ) ? $this->params->get('zip') : "");
					$adr2[] = $this->params->get('ship_country',  $this->params->get( 'billto_city' ) ? $this->params->get('country') : "");

					foreach ( $adr2 as $key => $a ) {
					  if( !$a ) unset( $adr2[$key] );
					}
					
					$adr2 = implode( ', ', $adr2 );
					echo $adr2 ? $adr2 : JText::_('N/A');
					?></td>
				</tr>
				<?php } ?>
				<?php if( $this->params->get( 'shipto_tel' ) ) { ?>
				<tr>
					<td  valign="top"><b><?php echo JText::_('Telephone')?>:</b></td>
					<td><?php echo $this->params->get('ship_tel', $this->params->get('tel')) ? $this->params->get('ship_tel', $this->params->get('tel'))  : JText::_('N/A');?></td>
				</tr>
				<?php } ?>
			</table>
			<?php } ?>
		</td>
	</tr>
</table>
<span class="article_separator"></span>
<table width="100%" cellpadding="3" cellspacing="0" border="0">
	<tr class="sectiontableheader">
		<td class="sectiontableheader" width="1%">#</td>
		<td class="sectiontableheader" ><?php echo JText::_('Description')?></td>
		<td class="sectiontableheader" width="50px"  nowrap><?php echo JText::_('Unit Price')?></td>
		<td class="sectiontableheader" width="50px" ><?php echo JText::_('Quantity')?></td>
		<?php if ( !$tax ) : ?>
		  <td class="sectiontableheader" width="50px"  nowrap><?php echo JText::_('Net Price')?></td>
		  <td class="sectiontableheader" width="50px"><?php echo JText::_('Tax')?></td>
		  <td class="sectiontableheader" width="50px"><?php echo JText::_('Total Tax')?></td>
		<?php endif;?>
		<td class="sectiontableheader" width="50px"><?php echo JText::_('Total')?></td>
	</tr>
	<?php 
	$i = 1; $k = 0; $totalamount = 0; $totaltax = 0;
	foreach ($this->items as $item) { 
		if(!$item['title']) break;
		?>
		<tr class="sectiontableentry<?php echo $k + 1?>">
			<td><?php echo $i;?></td>
			<td><?php echo $item['title'];?></td>
			<td nowrap>
				<?php  

				if($this->params->get('price_chose')) :

					$this->bill->amount =  JRequest::getFloat('amount',$item['amount']);?>
				 
					<input type="text" name="amount" size="3" value="<?php echo JRequest::getInt('amount',$item['amount']); ?>" />
					<img alt="<?php echo JText::_('Recalculate')?>" title="<?php echo JText::_('Recalculate')?>" src="administrator/images/filesave.png" onclick="document.formbill.submit()" style="cursor:pointer">
					<?php $item['qnt'] = JRequest::getInt('qnt',$item['qnt']);?>
				<?php else:?>
					<?php 
					$item['amount'] =  JRequest::getFloat('amount',$item['amount']);
					?><input type="hidden" name="amount" value="<?php echo $item['amount']; ?>">
					<?php echo bill_price($this->params->get('curr'), $item['amount'], $this->params->get( 'price' ));?>
				<?php endif; ?>
			</td>
			<td nowrap>
				<?php echo $item['qnt'];?>
			</td>
			
			<?php $net[$i] = ($item['amount'] * $item['qnt']); ?>
			
			<?php if( !$tax ) { ?>
  			<td>
  			  <?php echo bill_price($this->params->get('curr'), $item['amount'] * $item['qnt'], $this->params->get( 'price' ));?>
  			</td>
  			<td nowrap="nowrap">
  			  <?php echo isset( $item['tax_procent'] ) ? $item['tax_procent'] : "0"; ?>% 
  			  <?php echo (isset( $item['tax_name'] ) && $item['tax_name'] != '') ? "( ".$item['tax_name']." )" : ""; ?>
  			</td>
  			<td>
          <?php echo bill_price($this->params->get('curr'), $item['tax'], $this->params->get( 'price' ) ); ?>
        </td>
        <?php
        $amount[$i] = $net[$i] + @$item['tax'];
			  $totaltax += $item['tax'];
      } else {
        $amount[$i] = $net[$i];
      }
            			
			$totalamount += $amount[$i];
			?>
			<td align="right"><?php echo bill_price($this->params->get('curr'), $amount[$i], $this->params->get( 'price' ));?></td>
		</tr>
		<?php $i++; $k = 1 - $k;
		}?>
		</table>

		<table align="center" width="100%" cellpadding="2" cellspacing="0" border="0">
			<tr>
				<td valign="top" align="left">&nbsp;
				<?php if ($this->params->get('client_comment')) {?>
					<br><b><?php echo JText::_('Client comment'); ?>:&nbsp;</b><?php echo $this->params->get('client_comment'); ?>
				<?php } ?>
				</td>
				<td width="1%" align="right">
					<table width="10%" cellpadding="2" cellspacing="0" border="0">
					  <?php if ( !$tax ):?>
						<tr>
							<td nowrap><?php echo JText::_('Net Price')?></td>
							<td nowrap align="right"><b><?php echo str_replace(array('Sign', '00'), array($this->params->get('curr', BILL_CURR), 
							number_format(@array_sum($net), 2)), $this->params->get( 'price', BILL_PRICE ));?></b></td>
						</tr>
						<tr>
							<td nowrap><?php echo JText::_( "Tax" ); ?> </td>
							<td nowrap align="right">
							  <b>
							    <?php echo str_replace( array( 'Sign', '00' ), array( $this->params->get( 'curr', BILL_CURR ), number_format( $totaltax, 2 ) ), $this->params->get( 'price', BILL_PRICE ) );?>
							  </b>
						  </td>
						</tr>	
						<?php endif;?>
						<tr>
							<td nowrap><b><big><?php echo JText::_('Total')?></big></b></td>
							<td nowrap align="right">
							  <b>
							    <big>
							      <?php echo str_replace( array( 'Sign', '00' ), 
							                              array( $this->params->get( 'curr', BILL_CURR ), number_format( $totalamount, 2) ),
							                              $this->params->get( 'price', BILL_PRICE ) );?>
							    </big>
							  </b>
						  </td>
						</tr>	
					</table>
				</td>
			</tr>
			<tr>
				<td>&nbsp;
				<?php if($this->params->get('inv_add')){ ?>
					<br><small class="small"><b><?php echo JText::_('Bill Description'); ?>:</b>&nbsp;<?php echo nl2br($this->params->get('inv_add'));?></small>
				<?php } ?>
				</td>
				<td align="right" width="1%"><?php
				if($this->params->get('tax_id')){ ?><span class="small"><?php echo JText::_('Tax ID (SSN)').':';?></span>
				<?php if (BILL_SHOW_BAR_TAX) { ?>
				<img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->params->get('tax_id')?>&ite.jpg">	
				<?php }
				else echo '<b>'.$this->params->get('tax_id').'</b>'; } ?>
				</td>
			</tr>
		</table>
</div>