<?php
/**
 * $Id: default.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();
global $Itemid;
?>
<div class="componentheading<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>"><?php echo JText::_('Your Sellings')?></div>
<div class="contentpanopen<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">

<form name="adminForm" action="<?php echo $this->action; ?>" method="POST">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	    <tr>
	        <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" width="1%" nowrap>
	        <?php echo JHTML::_('grid.sort', 'Id', 'id', $this->filter['order_Dir'], $this->filter['order']); ?></td>
	        <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
	        <?php echo JHTML::_('grid.sort', 'Bill', 'name', $this->filter['order_Dir'], $this->filter['order']); ?></td>
	        <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" width="1%" nowrap>
	        <?php echo JHTML::_('grid.sort', 'Active', 'published', $this->filter['order_Dir'], $this->filter['order']); ?></td>
	        <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" width="1%" nowrap>
	        <?php echo JHTML::_('grid.sort', 'Price', 'total', $this->filter['order_Dir'], $this->filter['order']); ?></td>
	    </tr>
	    <?php
	    if( $this->items ) {
	        $k = 0;
	        foreach( $this->items AS $item ) {
	            $params = new JParameter($item->params);
	            $img = ( $item->published == 0 ? 'publish_x.png' : 'tick.png' );
	            ?>
	            <tr class="sectiontableentry<?php echo $k + 1;?>">
	                <td><?php echo $item->id;?></td>
	                <td>
	                <?php if( $item->published ){ ?>
	                  <a href='<?php echo JRoute::_( 'index.php?option=com_jsbill&task=invoice&id='.$item->id.'&Itemid='.$Itemid );?>'>
	                       <?php echo $item->name; ?>
	                  </a>
	                <?php } else { ?>
	                    <?php echo $item->name; ?>
	                <?php }?><br>
	                    <span class="small">
	                    <?php echo JText::_('Order ID')?>: <b><?php echo $item->gateway_id;?></b> |
	                    <?php echo JText::_('Paid')?>: <b><?php echo $item->ptime;?></b>
	                    </span>
	                </td>
	                <td align="center"><img align="absmiddle" border="0" src="<?php echo JURI::base()?>administrator/images/<?php echo $img;?>"></td>
	                <td nowrap align="right">
	                	<?php echo str_replace(array("00", "Sign"), array($item->total, $params->get('curr', BILL_CURR)), $params->get('price', BILL_PRICE));?></td>
	            </tr>
	            <?php
	            $k = 1 - $k;
	        }
	    }
	    ?>
	</table>
	<?php if(count($this->items) <= 0) echo '<p>'.JText::_('There is no Bill purchased').'.</p>'?>
	
	
	<table width="100%" border="0" cellspacing="0" cellpadding="2" align="center">
	    <tfoot>
	      <tr>
	        <td align="center" colspan="6" class="sectiontablefooter<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
	          <?php echo $this->pagination->getPagesLinks(); ?>
	        </td>
	      </tr>
	      <tr>
	        <td colspan="6" align="center">
	            <?php
	            echo JText::_('Display Num') .'&nbsp;';
	            echo $this->pagination->getLimitBox();
	            echo $this->pagination->getPagesCounter();
	            ?>
	        </td>
	      </tr>
	    </tfoot>
	</table>
	
	<div class="clr" style="clear:both"></div>
	<br>
	<input type="hidden" name="filter_order" value="<?php echo $this->filter['order']; ?>" />
  	<input type="hidden" name="filter_order_Dir" value="" />
</form>
	</div>