<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class BillViewPersonalbills extends JView
{
	function display($tpl = null)
	{
		global $mainframe;

		$user = JFactory::getUser();
		
		if( !$user->id ) {
            BillHelper::sendOnLoginPage( 111, JText::_( 'You cannot access this page. You need to be registered and logged in' ) );
		    return;
		}
		
		$mBill = JModel::getInstance( 'bill', 'BillModel' );
		
		$post = JRequest::get( "request" );
		
		$bills = $mBill->getPersonalBills( $user, $post );
		
		$pathway  =& $mainframe->getPathway();
		
		$pathway->addItem( JText::_( 'Your personal bills' ), '' );
		
		$this->assign( 'bills', $bills );

		parent::display( $tpl );
	}
}
?>