<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
* @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
/*if(!ioncube_check_license_properties())
 {
 JError::raiseWarning(120, "License is not valied");
 JRequest::setVar('controller', 'license');
 }*/
jimport('joomla.application.component.controller');
class BillController extends JController
{
	function __construct()
	{
		parent::__construct();
		$this->registerTask( 'add', 'edit' );
		$this->registerTask( 'apply', 'save' );
	}
	function element()
	{
		$model	= &$this->getModel('element');
		$view	= &$this->getView('element');
		$view->setModel( $model, true );
		$view->display();
	}

	function display() {
		parent::display();
	}

	function user_list()
	{
		$model	= &$this->getModel('user_list');
		$view	= &$this->getView('user_list');
		$view->setModel( $model, true );
		$view->display();
	}

	function sendAlert()
	{
		global $mainframe;
		$emails = JRequest::getVar('emails');
		$subject = JRequest::getVar('subject');
		$body = JRequest::getVar('body');
		$id = JRequest::getInt('bid');
		$bill = JRequest::getVar('billname');
		if($emails == '' || $emails == 'None') 
		$mainframe->redirect('index.php?option=com_jsbill&view=alertbill&cid[]='.$id, JText::_('Email field is not set'), 'Notice');
		$emails = explode(',', $emails);
		if(!is_array($emails)) settype($emails, 'array');
		
		jimport('joomla.mail.mail');

		//$mail = new JMail();
		$mail = JFactory::getMailer();
		$config = JFactory::getConfig();

		$sender[0] = $config->getValue('config.mailfrom');
		$sender[1] = $config->getValue('config.fromname');

		$subject = str_replace('[SITE_NAME]', $mainframe->getCfg('sitename'), $subject);
		$subject = str_replace('[SITE]', JURI::root(), $subject);
		
		$body = str_replace('[SITE_NAME]', $mainframe->getCfg('sitename'), $body);
		$body = str_replace('[SITE]', JURI::root(), $body);
		$body = str_replace('[BILL_NAME]', $bill, $body);
		$body = str_replace('[LINK]', JURI::root().'index.php?option=com_jsbill&view=bill&bill='.$id, $body);

		$mail->setSender($sender);
		if(count($emails) > 1)
		$mail->addBCC($emails);
		if(count($emails) == 1)
		$mail->AddAddress($emails[0]);
		$mail->setBody(JMailHelper::cleanBody($body));
		$mail->setSubject(JMailHelper::cleanSubject($subject));

		if ( JString::strlen($body) != JString::strlen(strip_tags($body)))
		{
			$mail->IsHTML(true);
		}

		if(!$mail->Send())
		{
			JError::raiseWarning(200, 'Error to send user alert');
		}
		$mainframe->redirect('index.php?option=com_jsbill&controller=bill', JText::_('Alert bill is sent'));		
	}
	
	function support()
	{
		$doc = &JFactory::getDocument();
		$js = 'window.open("http://support.mightyextensions.com/en/mighty-invoice-joomla-billing-component.html")';
		$doc->addScriptDeclaration($js);
		JRequest::setVar( 'view'  , 'bills');
		parent::display();
	}
}
?>
