<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );

/**
 * @package JCommerce
 */

class TableBill extends JTable
{
	var $id = null;
	var $user_id = 0;
	var $product_list = '';
	var $params = '';
	var $published = 1;
	var $extime = null;
	var $ctime = '0000-00-00 00:00:00';
	var $access = 0;
	var $use_num = '';
	var $used_num = '';
	var $use_user = 0;
	var $order_num = '';
	var $visible = 1;
	var $client = 'Mighty Invoice';
	var $coption = 'com_jsbill';
	var $client_id = 0;
	var $seller_id = 0;

	function __construct(&$db) {
		parent::__construct ( '#__bills', 'id', $db );
		if($this->ctime == NULL) $this->set( 'ctime', date( 'Y-m-d G:i:s' ) );
	}

	function bind($array, $ignore = '') {
		if (key_exists ( 'params', $array ) && is_array ( $array ['params'] )) {
			$registry = new JRegistry ( );
			$registry->loadArray ( $array ['params'] );
			$array ['params'] = $registry->toString ();
		}

		return parent::bind ( $array, $ignore );
	}
	function check() {
		if ($this->user_id == JText::_ ( 'Any' )) {
			$this->user_id = '';
		}

		$this->user_id = preg_replace ( "/([^0-9,]+)/iU", "", $this->user_id );

		if($this->ctime == NULL || ($this->ctime == '0000-00-00 00:00:00')) $this->ctime = date( 'Y-m-d G:i:s' );

		return true;
	}

}
?>
