<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

class TableInvoice extends JTable
{
	var $id = null;
	var $user_id = 0;
	var $ctime  = null;
	var $gateway   = '';
	var $gateway_id   = 0;
	var $published   = 0;
	var $order_num  = 0;
	var $inv_num  = 0;
	var $name	= '';
	var $seller_id = 0;
	var $total = 0;
	var $client = '';
	var $coption = '';
	var $params = '';
	var $client_id = '';
	var $ptime = null;
	var $product_list = '';
	var $bill_id = 0;

	function __construct( &$db ) {
		parent::__construct( '#__bills_invoice', 'id', $db );
	}
	function check()
	{
		if($this->user_id == JText::_('Any')) $this->user_id = '';

		$this->user_id = preg_replace("/([^0-9,]+)/iU", "", $this->user_id);

		if($this->ctime == NULL || ($this->ctime == '0000-00-00 00:00:00')) $this->ctime = strftime('%Y-%m-%d %H:%M:%S', time());
		return true;
	}
	function copy()
	{
		$sql = "insert into #__bills_invoice (
			id, user_id, ctime, 
			gateway, gateway_id, order_num,	inv_num, `name`, 
			seller_id, total, client, coption,
			params,	client_id, ptime, product_list,	bill_id) VALUES (
				null, {$this->user_id},	NOW(),
				'', '', '{$this->order_num}', '{$this->inv_num}', '{$this->name}', 
				{$this->seller_id}, '{$this->total}', '{$this->client}', '{$this->coption}',
				'{$this->params}', {$this->client_id}, null, '{$this->product_list}', {$this->bill_id} 
			)";
		$this->_db->setQuery($sql);
		$this->_db->query();
		return $this->_db->insertid();
		
	}
}
?>