<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class BillViewCnf extends JView
{
  function display($tpl = null)
  {
    global $mainframe, $option;

    JToolBarHelper::title(   JText::_( 'Mighty Invoice Extended Configuration' ));
    JToolBarHelper::preferences('com_jsbill','150','570',JText::_('Secret Word'));
    JToolBarHelper::save();
    JToolBarHelper::apply();
    JToolBarHelper::cancel( 'cancel', 'Close' );
    
    jimport('joomla.html.pane');
    
    $uri	=& JFactory::getURI();
    $ini = JFile::read( JPATH_COMPONENT.DS.'config.ini' );
    
    $config_params = new JParameter( $ini, JPATH_COMPONENT.DS.'params.xml' );
    
    $pane =& JPane::getInstance( 'tabs' );

    
    $this->assignRef( 'pane',          $pane);
    $this->assignRef( 'config_params', $config_params);
    $this->assignRef( 'request_url',	 $uri->toString());

    parent::display($tpl);
  }
  
  function renderParamsGroup( $group_name )
  {
    ?>
    <fieldset class="adminform">
		  <legend><?php echo JText::_( $group_name ); ?></legend>
		  <?php print $this->config_params->render('params',$group_name);?>
		</fieldset>
    <?php
  }
}
?>