<?php
/**
 * $Id: api.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
class Bill
{
	var $secret_word = '1';
	function getBillDate($id)
	{
		$db  = & JFactory::getDBO();
		$db->setQuery('SELECT * FROM #__bills WHERE id='.$id);
		$bill = $db->loadAssocList();
		if($bill)
		{
			$bill = $bill[0];
			$bill['item_name'] = unserialize($bill['item_name']);
			$bill['address'] = unserialize($bill['address']);
			return $bill;
		}
		return false;
	}
	function getBillDates()
	{
		$db  = & JFactory::getDBO();
		$db->setQuery('SELECT * FROM #__bills');
		$bill = $db->loadAssocList();
		if($bill)
		{
			foreach ($bill as $i=>$b)
			{
				$bill[$i]['item_name'] = unserialize($b['item_name']);
				$bill[$i]['amount'] = unserialize($b['amount']);
				$bill[$i]['address'] = unserialize($b['address']);
			}
			return $bill;
		}
		return false;		
	}
	function getInvoiceDate($gateway_id=0)
	{
		$db  = & JFactory::getDBO();
		$db->setQuery('SELECT *, LPAD( `inv_num`, '.BILL_INV_DIG.', 0 ) AS inv_num FROM #__bills_invoice WHERE gateway_id='.$gateway_id);
		$bill = $db->loadAssocList();
		if($bill)
		{
			$bill = $bill[0];
			$bill['bill_to'] = unserialize($bill['bill_to']);
			$bill['ship_to'] = unserialize($bill['ship_to']);
			return $bill;
		}
		return false;		
	}
	function getInvoiceDates($user_id='this_user')
	{
		
		$db  = & JFactory::getDBO();
		$user =& JFactory::getUser();
		
		if($user_id=='this_user')
		{
			$user_id = $user->get('id');
		}
		
		$db->setQuery('SELECT i.*,, LPAD( `inv_num`, '.BILL_INV_DIG.', 0 ) AS inv_num ,  b.item_name FROM #__bills_invoice as i LEFT JOIN #__bills as b ON b.id=i.bill_id WHERE i.user_id='.$user_id.' ORDER BY i.id DESC');
		$bill = $db->loadAssocList();
		if($bill)
		{
			foreach ($bill as $i=>$b)
			{
				$bill[$i]['item_name'] = @unserialize($b['item_name']);
				$bill[$i]['bill_to'] = @unserialize($b['bill_to']);
				$bill[$i]['ship_to'] = @unserialize($b['ship_to']);
				
			}
			return $bill;
		}
		return false;
	}
	function getInvoiceView($id)
	{
		jimport( 'joomla.application.component.view');
		
		$view = JRequest::getVar('view');
		$layout = JRequest::getVar('layout');
		require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_jsbill'.DS.'controllers'.DS.'cnf.php');
		BillControllerCnf::initialyze();
		ob_start();
		require_once (JPATH_ROOT.DS.'components'.DS.'com_jsbill'.DS.'controller.php');
		require_once (JPATH_ROOT.DS.'components'.DS.'com_jsbill'.DS.'views'.DS.'invoice'.DS.'view.html.php');
		require_once (JPATH_ROOT.DS.'components'.DS.'com_jsbill'.DS.'models'.DS.'bill.php');
		
		JRequest::setVar('view', 'invoice');
		JRequest::setVar('layout', 'default');
		JRequest::setVar('id', $id);
		
		$controller = new BillController( );
		$controller->execute('invoice');
		$controller->redirect();
		$out = ob_get_clean();

		JRequest::setVar('view', $view);
		JRequest::setVar('layout', $layout);
		
		return $out;
	}
	function getSecretWord()
	{
		global $mainframe;
		$params = clone($mainframe->getParams('com_jsbill'));
		$this->secret_word = $params->get('secret_word');
		return $this->secret_word;
	}
	
}
?>