<?php
/**
 * $Id: history.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();
global $Itemid;
?>
<div class="componentheading"><?php echo JText::_('Bill History')?></div>
<div class="contentpanopen">
  <?php if( !$this->user->get( "id" ) && count( $this->SessAndCookInv ) ) { ?>
  <form action="<?php echo $this->url; ?>" method="post" name="formhistory">
    <?php echo JText::_( "Your email:" ) ?>
    <input type="text" name="userEmail" value="<?php echo JRequest::getVar( "userEmail", "" ); ?>">
    <input type="button" class="button" value="<?php echo JText::_( "Confirm" ); ?>" onclick="document.formhistory.submit();">
    </form>
  <?php } ?>
<form action="<?php echo $this->url; ?>" method="post" name="adminForm">
<table border="0" cellpadding="2" cellspacing="0" width="100%">
    <tr>
        <td class="sectiontableheader" width="1%" nowrap><?php echo JHTML::_('grid.sort', 'Id', 'id', $this->filter['order_Dir'], $this->filter['order']); ?></td>
        <td class="sectiontableheader"><?php echo JHTML::_('grid.sort', 'Bill', 'name', $this->filter['order_Dir'], $this->filter['order']); ?></td>
        <td class="sectiontableheader" width="1%" nowrap><?php echo JHTML::_('grid.sort', 'Active', 'published', $this->filter['order_Dir'], $this->filter['order']); ?></td>
        <td class="sectiontableheader" width="1%" nowrap><?php echo JHTML::_('grid.sort', 'Price', 'total', $this->filter['order_Dir'], $this->filter['order']); ?></td>
    </tr>
    <?php
    if($this->items)
    {
        $k = 0;
        foreach($this->items AS $item)
        {
            $k = 1 - $k;
            $img = 'tick.png';
            $params = new JParameter($item->params);
            if($item->published == 0) $img = 'publish_x.png';
            ?>
            <tr class="sectiontableentry<?php echo $k + 1;?>">
                <td><?php echo $item->id;?></td>
                <td>
                <?php if( $item->published ){ ?>
                  <a href='<?php echo JRoute::_('index.php?option=com_jsbill&task=invoice&id='.$item->id.'&Itemid='.$Itemid);?>'>
                  <?php echo $item->name; ?></a>
                <?php } else { echo $item->name; }?><br>
                    <span class="small">
                    <?php echo JText::_('Order ID')?>: <b><?php echo $item->gateway_id;?></b> |
                    <?php echo JText::_('Paid')?>: <b><?php echo $item->ptime;?></b>
                    </span>
                </td>
                <td align="center"><img align="absmiddle" border="0" src="<?php echo JURI::base()?>administrator/images/<?php echo $img;?>"></td>
                <td nowrap align="right">
                <?php echo str_replace(array("00", 'Sign'), array($item->total, $params->get('curr', BILL_CURR)), $params->get('price', BILL_PRICE));?></td>
            </tr>
            <?php
        }
    }
    ?>
</table>
<?php if(count($this->items) <= 0) echo '<p>'.JText::_('There is no Bill purchased').'.</p>'?>
  <input type="hidden" name="filter_order" value="<?php echo $this->filter['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="" />
  </form>
</div>
<div class="clr" style="clear:both"></div>
<br>