<?php 
/**
 * $Id: pdf.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

function bill_price($cur, $amount, $format)
{
	return str_replace(array('Sign', '00'), array($cur, number_format($amount,2)), ($format ? $format : BILL_PRICE));
}
$tax = $this->params->get('tax_use'); ?>

<h1>                                      <?php echo JText::_('Invoice');?></h1>

<br>

<h2>                                           <?php echo $this->params->get('inv_name');?></h2>

<br><br><?php
?><table><tr><td><?php
?><?php if(BILL_SHOW_BAR_ORDER && $this->item->order_num){
?><h2><?php echo JText::_('Order Number')?><?php
?><img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->item->order_num;?>&scale=3&ite.png"></h2>
<?php } ?><?php
?></td><?php
?><td><?php
?><?php if(BILL_SHOW_BAR_INVOICE){
?><h2><?php echo JText::_('Invoice Number')?><?php
?><img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->item->inv_num?>&scale=3&ite.png"></h2>
<?php } ?><?php
?></td></tr></table><?php
?>
<div><?php 
	$address_for_view = array();
	foreach ( $this->address[1] as $a ){
	    if( !$a ) continue;
	    $address_for_view[] = $a;
	}	
	echo implode(', ', $address_for_view )
?></div><?php
?><div><?php 
	$info = array();
	foreach ($this->address[2] as $name_add_vale => $val){
	    if( !$val ) continue;
	    $info[] = $name_add_vale . ': ' . $val ;
	}
	echo implode(' | ', $info);
?></div><?php
?><?php if($this->params->get('inv_logo') && $this->params->get('inv_logo') != '-1' ){ ?>
<br><br><img src="<?php echo JURI::root() ?>images/stories/<?php echo $this->params->get('inv_logo');?>" alt="<?php echo JText::_('Invoice Logo')?>" 
 /><br>
<?php } ?><br><?php
?><hr><?php
?><table><?php
?><tr><?php
?><td width="250px"><?php echo JText::_('Order Number')?>: <?php echo $this->item->order_num; ?> </td><?php
?><td><?php echo JText::_('Issue Date')?>: <?php echo $this->item->format_ctime; ?> </td><?php
?></tr><?php
?><tr><?php
?><td width="250px"><?php echo JText::_('Invoice Number')?>: <?php echo $this->item->inv_num; ?> </td><?php
?><td><?php echo JText::_('Pay Date')?>: <?php echo $this->item->format_ptime; ?> </td><?php
?></tr><?php
?><tr><?php
?><td width="250px"><?php echo JText::_('Gateway')?>: <?php echo $this->item->gateway; ?> </td><?php
?><td><?php echo JText::_('Gateway ID')?>: <?php echo $this->item->gateway_id; ?> </td><?php
?></tr><?php
?></table><?php
?><hr><?php
?><?php if( $this->params->get( 'billto_name' )||
          $this->params->get( 'billto_address' ) ||
          $this->params->get( 'billto_city' ) ||
          $this->params->get( 'billto_state' ) ||
          $this->params->get( 'billto_zip' ) ||
          $this->params->get( 'billto_country' ) ||
          $this->params->get( 'billto_tel' ) ) {
?><?php
?><b><?php echo JText::_('Bill To')?>:</b>
<?php if( $this->params->get( 'billto_name' ) ) { ?>
<b><?php echo $this->params->get('name')  ? $this->params->get('name') : JText::_('N/A') ;?></b>
<?php } ?>
<?php if( $this->params->get( 'billto_address' ) ||
          $this->params->get( 'billto_city' ) ||
          $this->params->get( 'billto_state' ) ||
          $this->params->get( 'billto_zip' ) ||
          $this->params->get( 'billto_country' ) ) {
?><br><b><?php echo JText::_('Address')?>:</b>
<?php
		$adr[] = $this->params->get('address');
		$adr[] = $this->params->get('state');
		$adr[] = $this->params->get('city');
		$adr[] = $this->params->get('zip');
		$adr[] = $this->params->get('country');

		foreach ( $adr as $key => $a ) {
		  if( !$a ) unset( $adr[$key] );
		}
		
		$adr = implode( ', ', $adr );
		echo $adr ? $adr : JText::_('N/A');
    }
	
	if( $this->params->get( 'billto_tel' ) ) {
?><br><b><?php echo JText::_('Telephone')?>:</b>
<?php echo $this->params->get('tel') ? $this->params->get('tel')  : JText::_('N/A');?>
<?php } ?>
<?php } ?><?php
?><br><br><?php
?><?php if( $this->params->get( 'shipto_name' )||
          $this->params->get( 'shipto_address' ) ||
          $this->params->get( 'shipto_city' ) ||
          $this->params->get( 'shipto_state' ) ||
          $this->params->get( 'shipto_zip' ) ||
          $this->params->get( 'shipto_country' ) ||
          $this->params->get( 'shipto_tel' ) ) { 
?><b><?php echo JText::_('Ship To')?>:</b>
<b><?php echo $this->params->get('sip_name', $this->params->get('name')) ? $this->params->get('ship_name', $this->params->get('name')) : JText::_('N/A') ;?></b>
<?php if( $this->params->get( 'shipto_address' ) ||
          $this->params->get( 'shipto_city' ) ||
          $this->params->get( 'shipto_state' ) ||
          $this->params->get( 'shipto_zip' ) ||
          $this->params->get( 'shipto_country' ) ) {
?>
<br><b><?php echo JText::_('Address')?>:</b>
<?php 
		$adr2[] = $this->params->get('ship_address',  $this->params->get( 'billto_city' ) ? $this->params->get('address') : "");
		$adr2[] = $this->params->get('ship_state',  $this->params->get( 'billto_city' ) ? $this->params->get('state') : "");
		$adr2[] = $this->params->get('ship_city', $this->params->get( 'billto_city' ) ? $this->params->get('city') : "");
		$adr2[] = $this->params->get('ship_zip',  $this->params->get( 'billto_city' ) ? $this->params->get('zip') : "");
		$adr2[] = $this->params->get('ship_country',  $this->params->get( 'billto_city' ) ? $this->params->get('country') : "");

		foreach ( $adr2 as $key => $a ) {
		  if( !$a ) unset( $adr2[$key] );
		}
		
		$adr2 = implode( ', ', $adr2 );
		echo $adr2 ? $adr2 : JText::_('N/A');
    }
	if( $this->params->get( 'shipto_tel' ) ) { ?>
	<br><b><?php echo JText::_('Telephone')?>:</b>
    <?php echo $this->params->get('ship_tel', $this->params->get('tel')) ? $this->params->get('ship_tel', $this->params->get('tel'))  : JText::_('N/A');?>
	<?php } ?>
<?php } ?>
<br><br><?php
?><table border="1"><?php
?><tr><?php
?><td width="15">#</td><?php
?><td><?php echo JText::_('Description')?></td><?php
?><td width="80"><?php echo JText::_('Unit Price')?></td><?php
?><td width="80"><?php echo JText::_('Quantity')?></td><?php
if ( !$tax ) :
?><td width="80"><?php echo JText::_('Net Price')?></td><?php
?><td><?php echo JText::_('Tax')?></td><?php
?><td width="80"><?php echo JText::_('Total Tax')?></td><?php
endif;
?><td width="80"><?php echo JText::_('Total')?></td><?php
?></tr><?php
$i = 1; $k = 0; $totalamount = 0; $totaltax = 0;
foreach ($this->items as $item) { 
  if(!$item['title']) break;?><?php
?><tr><?php
?><td width="15"><?php echo $i;?></td><?php
?><td><?php echo $item['title'];?></td><?php
?><td width="80"><?php	$item['amount'] =  JRequest::getFloat('amount',$item['amount']); 
?><input type="hidden" name="amount" value="<?php echo $item['amount']; ?>"><?php
echo bill_price($this->params->get('curr'), $item['amount'],$this->params->get( 'price' ));
?></td><?php
?><td width="80"><?php echo $item['qnt'];?></td><?php
 $net[$i] = ($item['amount'] * $item['qnt']);
      if( !$tax ) {
?><td width="80"><?php echo bill_price($this->params->get('curr'), $item['amount'] * $item['qnt'], $this->params->get( 'price' ));?></td><?php
?><td><?php echo isset( $item['tax_procent'] ) ? $item['tax_procent'] : "0"; ?>%<?php /*
echo (isset( $item['tax_name']) && $item['tax_name'] != '' ) ? "( ".$item['tax_name'].")" : ""; */?></td><?php
?><td width="80"><?php echo bill_price($this->params->get('curr'), $item['tax'], $this->params->get( 'price' ) ); ?></td><?php
      $amount[$i] = $net[$i] + @$item['tax'];
			  $totaltax += $item['tax'];
      } else {
        $amount[$i] = $net[$i];
      }            			
	
      $totalamount += $amount[$i];
?><td width="80" align="right"><?php echo bill_price($this->params->get('curr'), $amount[$i], $this->params->get( 'price' ));?></td><?php
?></tr><?php
 $i++; $k = 1 - $k;
} ?></table><?php
?><table align="center" width="100%" cellpadding="0" cellspacing="0" border="0"><?php
?><tr><?php
?><td valign="top" align="left"><?php if ($this->params->get('client_comment')) {?>
<br><b><?php echo JText::_('Client comment'); ?>: </b><?php echo $this->params->get('client_comment'); ?>
<?php } ?>
</td><?php
?></tr><?php
?><tr><?php
?><td><?php
?><table cellpadding="0" cellspacing="0" border="0" align="right" width="100%">
<?php if ( !$tax ):?><?php
?><tr><?php
?><td nowrap><?php echo JText::_('Net Price')?></td><?php
?><td nowrap align="right" width="80px"><b><?php echo str_replace(array('Sign', '00'), array($this->params->get('curr', BILL_CURR), 
number_format(@array_sum($net), 2)), $this->params->get( 'price', BILL_PRICE ));?></b></td><?php
?></tr><?php
?><tr><?php
?><td nowrap><?php echo JText::_( "Tax" ); ?></td><?php
?><td nowrap align="right" width="80px"><b><?php echo str_replace( array( 'Sign', '00' ), array( $this->params->get( 'curr', BILL_CURR ), number_format( $totaltax, 2 ) ), $this->params->get( 'price', BILL_PRICE ) );?></b>
</td><?php
?></tr><?php endif;?><?php
?><tr><?php
?><td nowrap><b><big><?php echo JText::_('Total')?></big></b></td><?php
?><td nowrap align="right" width="80px"><b><?php echo str_replace( array( 'Sign', '00' ), array( $this->params->get( 'curr', BILL_CURR), number_format( $totalamount, 2) ), $this->params->get( 'price', BILL_PRICE ) );?><?php
?></b><?php
?></td><?php
?></tr><?php
?></table><?php
?></td><?php
?></tr><?php
?><tr><?php
?><td width="100px"><?php if($this->params->get('inv_add')){ ?>
<small class="small"><b><?php echo JText::_('Bill Description'); ?>:</b> <?php echo nl2br($this->params->get('inv_add'));?></small>
<?php } ?>
</td><?php
?><td align="right"><?php
if($this->params->get('tax_id')){ ?><span class="small"><?php echo JText::_('Tax ID (SNN)').':';
if(BILL_SHOW_BAR_TAX) { ?>
<img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->params->get('tax_id')?>&scale=3&ite.png"></span>
<?php } else echo '<b>'.$this->params->get('tax_id').'</b>'; } ?>
</td>
</tr>
</table><br>