<?php
/**
 * $Id: view.pdf.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');
class BillViewInvoice extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		$menus = &JSite::getMenu();
		$layout = $this->getLayout();
		$model = JModel::getInstance('bill','BillModel');
		$user   = & JFactory::getUser();
		$Itemid = JRequest::getInt('Itemid');
		$db = & JFactory::getDBO();
		$pathway	=& $mainframe->getPathway();
		$menu  = $menus->getActive();
		$uri = &JFactory::getURI();

		/*if(@!$user->get('id'))
		 {
			$this->displayError('You cannot access this bill', 'This bill will be available for purchase on after', $tpl );
			return;
			}*/

		$id = JRequest::getInt('id');
		if(@!$id)
		{
			$this->displayError('You cannot access this bill', 'This bill will be available for purchase on after', $tpl );
			return;
		}
		$inv = $model->getInvoicesFromSessAndCook();

		$invoice = $model->getInvoice($id,' AND published = 1');
		if( ! $invoice ) {
	 	$this->displayError('You cannot access this bill', 'This invoice is not exist', $tpl );
	 	return;
	 }

		if( !($invoice->access <= $user->get('aid')) && !in_array( $invoice->id, $inv ) && $user->get('id') != $invoice->user_id) {
			$this->displayError('You cannot access this bill', 'You do not have enough rights', $tpl );
			return;
		}
		$params = new JParameter($invoice->params);

		$items = unserialize($invoice->product_list);

		$l1[] = $params->get('inv_address', BILL_INV_ADDRESS);
		$l1[] = $params->get('inv_city', BILL_INV_CITY);
		$l1[] = $params->get('inv_state', BILL_INV_STATE);
		$l1[] = $params->get('inv_zip', BILL_INV_ZIP);
		$l1[] = $params->get('inv_country', BILL_INV_COUNTRY);

		$adrress[1] = $l1;

		$l2[JText::_('Telephone')] = $params->get('inv_tel', BILL_INV_TEL);
		$l2[JText::_('Fax')] = $params->get('inv_fax', BILL_INV_FAX);
		$l2[JText::_('Company Number')] = $params->get('inv_number', BILL_INV_NUMBER);
		$l2[JText::_('Company Tax ID')] = $params->get('inv_tax_id', BILL_INV_TAX_ID);
		$l2[JText::_('Ask for')] = $params->get('inv_person', BILL_INV_PERSON);
		//$l2[] = $params->get('');

		$adrress[2] = $l2;

		$params->def('inv_add', BILL_INV_ADD);
		$params->def('inv_name', BILL_INV_NAME);

		$date = new JDate($invoice->ctime);
		$date2 = new JDate($invoice->ptime);

		$invoice->format_ctime = $date->toFormat(BILL_TIME_FORMAT);
		$invoice->format_ptime = $date2->toFormat(BILL_TIME_FORMAT);

		$query = "SELECT template FROM #__templates_menu WHERE client_id='0' AND menuid='0'";
		$db->setQuery( $query );
		$template = $db->loadResult();

		$icons = JPATH_THEMES.DS.$template.DS.'images'.DS;

		$this->assign('address', $adrress);
		$this->assign('items', 	$items);
		$this->assign('item',	$invoice);
		$this->assign('params', $params);

		$this->addTemplatePath(JPATH_ROOT.DS.'components'.DS.'com_jsbill'.DS.'views'.DS.'invoice'.DS.'tmpl'.DS);
		parent::display($tpl);
	}
	function displayError($title, $msg, $tpl, $add = '')
	{
		$this->setLayout('error');
		$this->assign('title', JText::_($title));
		$this->assign('msg', JText::_($msg).' '.$add);

		parent::display($tpl);
	}
}
?>