<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyInvoice by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class BillViewMysellings extends JView
{
	function display($tpl = null)
	{
		global $mainframe;

		$user       = & JFactory::getUser();
		$url_params = & $mainframe->getParams();
		$uri        = & JFactory::getURI();
		
		$option = JRequest::getVar('option');
		$context          = "$option.view_history";
		$filter_order     = $mainframe->getUserStateFromRequest( "$context.filter_order", 	'filter_order',  'id' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$context.filter_order_Dir",	'filter_order_Dir',	'DESC' );

		$filter['order'] = $filter_order;
		$filter['order_Dir'] = $filter_order_Dir;
		
		if( !$user->id ) {
		  BillHelper::sendOnLoginPage( 111, JText::_( 'You cannot access this page. You need to be registered and logged in' ) );
		  return;
		}
		
		$mBill = JModel::getInstance('bill','BillModel');
		
		$post = JRequest::get( "request" );
		
		$items = $mBill->getSellings( $user );
		$total = $mBill->getTotalSellings( $user );
		
		$pagination = $mBill->getPagination( $total );
		
		$pathway = & $mainframe->getPathway();
		
		$pathway->addItem( JText::_( 'Your Sellings' ), '' );
		
		$this->assignRef( 'items',      $items );
		$this->assignRef( 'pagination', $pagination );
		$this->assignRef( 'url_params', $url_params );
		$this->assignRef( 'filter', $filter );
		$this->assignRef( 'action',     $uri->toString() );

		parent::display($tpl);
	}
}
?>